获取模拟

命名空间:microsoft.graph

重要

Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取租户的攻击模拟市场活动。

API 可用性

此 API 可用于以下国家级云部署。

全局服务 美国政府 L4 美国政府 L5 (DOD) 由世纪互联运营的中国
✅ ❌ ❌ ❌

权限

为此 API 选择标记为最低特权的权限。 只有在应用需要它时,才使用更高的特权权限。 有关委派权限和应用程序权限的详细信息,请参阅权限类型。 要了解有关这些权限的详细信息,请参阅 权限参考。

权限类型 最低特权权限 更高特权权限
委派(工作或学校帐户) AttackSimulation.Read.All 不可用。
委派(个人 Microsoft 帐户) 不支持。 不支持。
应用程序 AttackSimulation.Read.All 不可用。

HTTP 请求

GET /security/attackSimulation/simulations/{simulationId}

可选的查询参数

此方法当前不支持 OData 查询参数 来自定义响应。

请求标头

名称 说明
Authorization 持有者 {token}。 必填。 详细了解 身份验证和授权。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法将在响应正文中返回 200 OK 响应代码和 模拟 对象。

示例

示例 1:获取攻击模拟市场活动

以下示例演示如何获取租户的攻击模拟市场活动。

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations/f1b13829-3829-f1b1-2938-b1f12938b1a

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "id": "f1b13829-3829-f1b1-2938-b1f12938b1f1",
    "displayName": "Sample Simulation",
    "description": "Sample Simulation Description",
    "attackType": "social",
    "attackTechnique": "credentialHarvesting",
    "status": "scheduled",
    "createdDateTime": "2021-01-01T01:01:01.01Z",
    "createdBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Reed Flores",
        "email": "reed@contoso.com"
    },
    "lastModifiedDateTime": "2021-01-01T01:01:01.01Z",
    "lastModifiedBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Reed Flores",
        "email": "reed@contoso.com"
    },
    "launchDateTime": "2021-01-01T02:01:01.01Z",
    "completionDateTime": "2021-01-07T01:01:01.01Z",
    "isAutomated": false,
    "automationId": "f1b13829-3829-f1b1-2938-b1f12938b1ab",
    "payloadDeliveryPlatform": "email"
}

示例 2:获取包含的帐户目标

以下示例演示如何为租户的攻击模拟活动获取包含的帐户目标 (用户) 。

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations/f1b13829-3829-f1b1-2938-b1f12938b1a/includedAccountTarget

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.addressBookAccountTargetContent",
  "type": "addressBook",
  "accountTargetEmails": [
    "john@contoso.com"
  ]
}

示例 3:获取排除的帐户目标

以下示例演示如何为租户的攻击模拟活动) 排除的帐户目标 (用户。

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations/f1b13829-3829-f1b1-2938-b1f12938b1a/excludedAccountTarget

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.addressBookAccountTargetContent",
  "type": "addressBook",
  "accountTargetEmails": [
    "alie@contoso.com"
  ]
}

示例 4:获取训练设置详细信息

以下示例演示如何获取模拟的训练设置详细信息。

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations/f1b13829-3829-f1b1-2938-b1f12938b1a/trainingSetting

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/beta/$metadata#security/attackSimulation/simulations('d93188b6-6473-4fdb-a73f-48d0dbdd0df6')/trainingSetting",
  "trainingCompletionDuration": "month",
  "completionDateTime": "0001-01-01T00:00:00Z",
  "settingType": "microsoftManaged"
}

示例 5:获取最终用户通知设置

以下示例演示如何获取模拟的最终用户通知设置详细信息。

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations/f1b13829-3829-f1b1-2938-b1f12938b1a/endUserNotificationSetting

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/beta/$metadata#security/attackSimulation/simulations('d93188b6-6473-4fdb-a73f-48d0dbdd0df6')/endUserNotificationSetting",
  "settingType": "noNotification",
  "positiveReinforcement": null,
  "notificationPreference": "unknown"
}